Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface Value

All Superinterfaces:
  GraphicalM4Object, M4Data, M4Object, ParameterObject

All Known Implementing Classes:
  Value

public interface Value
extends ParameterObject

Version:
  $Id: Value.java,v 1.3 2006/04/11 14:10:12 euler Exp $
Author:
  Timm Euler, Daniel Hakenjos

Method Summary
`java.lang.Double` | `getDouble()`
`java.lang.Long` | `getLong()`
`long` | `getType()` Getter method.
`java.lang.Long` | `getTypeL()` Getter method.
`java.lang.String` | `getTypeName()`
`java.lang.String` | `getValue()` Getter method.
`boolean` | `isDouble()`
`boolean` | `isLong()`
`void` | `setRawValue(java.lang.String value)` This setter method cares about conversion from database `String` formats and should only be used during load.
`void` | `setType(long t)` Setter method.
`void` | `setType(java.lang.String conceptualDatatypeName)`
`void` | `setTypeL(java.lang.Long t)` Setter method.
`void` | `setValue(java.lang.String v)` Setter method.

Methods inherited from interface edu.udo.cs.miningmart.m4.ParameterObject
`addParameterReference, getParameterReferences, removeParameterReference`

Methods inherited from interface edu.udo.cs.miningmart.m4.GraphicalM4Object
`getPoint, setPoint`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Data
`deleteSoon, getDocumentation, getValidName, isDirty, isWaitingForDelete, setDocumentation`

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName`

Method Detail

### setType

    public void setType(long t)

  Setter method.

  Parameters:
    `t` - the new type

### setTypeL

    public void setTypeL(java.lang.Long t)

  Setter method.

  Parameters:
    `t` - the new type

### getType

    public long getType()

  Getter method.

  Returns:
    the type

### getTypeL

    public java.lang.Long getTypeL()

  Getter method.

  Returns:
    the type

### setValue

    public void setValue(java.lang.String v)

  Setter method.

  Parameters:
    `v` - the new value

### setType

    public void setType(java.lang.String conceptualDatatypeName)
                 throws M4Exception

  Throws:
    `M4Exception`

### getTypeName

    public java.lang.String getTypeName()
                                 throws M4Exception

  Throws:
    `M4Exception`

### setRawValue

    public void setRawValue(java.lang.String value)

  This setter method cares about conversion from database `String` formats and should only be used during load. The value type needs to be set already!

  Parameters:
    `value` - the value in database `String` representation

### getValue

    public java.lang.String getValue()

  Getter method.

  Returns:
    the value

### isLong

    public boolean isLong()

  Returns:
    true iff the value can be parsed to Long.

### isDouble

    public boolean isDouble()

  Returns:
    true iff the value can be parsed to Double.

### getLong

    public java.lang.Long getLong()

  Returns:
    a Long object if the value isLong(), null otherwise.

### getDouble

    public java.lang.Double getDouble()

  Returns:
    a Double object if the value isDouble(), null otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005